Bug 570528 (CVE-2010-0435) - CVE-2010-0435 kvm: vmx null pointer dereference
Summary: CVE-2010-0435 kvm: vmx null pointer dereference
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0435
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100819,reported=20100304,sou...
Depends On: 570531 570532 570533 570534
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-04 16:21 UTC by Petr Matousek
Modified: 2019-06-08 12:57 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:41:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0622 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-08-19 21:45:16 UTC
Red Hat Product Errata RHSA-2010:0627 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-08-19 21:31:45 UTC

Description Petr Matousek 2010-03-04 16:21:46 UTC
Gleb Napatov found a bug in KVM that can be used to crash the host on Intel
machines. If emulator is tricked into emulating mov to/from DR instruction it
causes NULL pointer dereference on VMX since kvm_x86_ops->(set|get)_dr are not
initialized. Recently this is not exploitable from guest userspace, but
malicious guest kernel can trigger it easily.

Comment 6 errata-xmlrpc 2010-08-19 21:31:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0627 https://rhn.redhat.com/errata/RHSA-2010-0627.html

Comment 7 errata-xmlrpc 2010-08-19 21:45:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0622 https://rhn.redhat.com/errata/RHSA-2010-0622.html


Note You need to log in before you can comment on or make changes to this bug.